<?php

// --- Konfigurasi ---
$botToken = "7865777131:AAEUVaNQVQHyblt4xfaLFkYDmCvowxdbHtM"; 
$webhookUrl = "https://icloudhost.yumeiro.my.id/bot.php";

// --- Validasi URL ---
if (filter_var($webhookUrl, FILTER_VALIDATE_URL) === false || parse_url($webhookUrl, PHP_URL_SCHEME) !== 'https') {
    die("Error: URL Webhook tidak valid atau bukan HTTPS. Pastikan URL dimulai dengan https://");
}

// --- Bangun URL API Telegram ---
$apiUrl = "https://api.telegram.org/bot" . $botToken . "/setWebhook?url=" . urlencode($webhookUrl);

// --- Panggil API Telegram ---
echo "Menghubungi API Telegram untuk mengatur webhook...\n";
$response = @file_get_contents($apiUrl);

// --- Tampilkan Hasil ---
if ($response === false) {
    $error = error_get_last();
    echo "Gagal menghubungi API Telegram.\n";
    if ($error) {
        echo "Error: " . $error['message'] . "\n";
    }
} else {
    echo "Respons dari Telegram:\n";
    echo $response . "\n";

    // Decode JSON untuk memberikan pesan yang lebih jelas
    $responseData = json_decode($response, true);
    if (isset($responseData['ok']) && $responseData['ok'] === true) {
        echo "\nWebhook berhasil diatur ke: " . $webhookUrl . "\n";
    } elseif (isset($responseData['description'])) {
        echo "\nWebhook gagal diatur. Pesan: " . $responseData['description'] . "\n";
    } else {
         echo "\nFormat respons tidak dikenal.\n";
    }
}

?>
