<?php

require_once __DIR__ . '/config.php';

$apiUrl = "https://api.telegram.org/bot" . BOT_TOKEN . "/deleteWebhook";

echo "Menghubungi API Telegram...\n";
$response = @file_get_contents($apiUrl);

if ($response === false) {
    $error = error_get_last();
    echo "Gagal menghubungi API Telegram.\n";
    if ($error) echo "Error PHP: " . $error['message'] . "\n";
} else {
    echo "Respons dari Telegram:\n";
    echo $response . "\n";
     $responseData = json_decode($response, true);
    if (isset($responseData['ok']) && $responseData['ok'] === true) {
        echo "\nWebhook BERHASIL dihapus.\n";
    } elseif (isset($responseData['description'])) {
        echo "\nPenghapusan webhook GAGAL. Pesan: " . $responseData['description'] . "\n";
    }
}
?>
