package main

import (
	"io"
	"net/http"
	"time"
)

func main() {
	checkURL := "http://localhost:6776/check.php"
	interval := 10 * time.Second

	ticker := time.NewTicker(interval)
	defer ticker.Stop()

	for {
		<-ticker.C
		resp, err := http.Get(checkURL)
		if err != nil {
			continue
		}

		func() {
			defer resp.Body.Close()
			io.Copy(io.Discard, resp.Body)
		}()
	}
}